CatalogChannels
Get the channel requirements for a listing
Returns the mapped channel category, its required attributes and the product's values.
Path Parameters
id*string
Unique identifier of the resource.
Header Parameters
x-Store-Id?string
Store the request acts on. Not needed when the token is bound to a store.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://api.ecomiq.pe/api/v1/channels/listings/7204558912004329619/requirements" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>"{ "categoryExternalId": "7204558912004328129", "categoryName": "Mi tienda", "categoryPath": "Mi tienda", "categoryMapped": false, "attributesSynced": false, "requirements": [ { "externalId": "7204558912004323067", "name": "Mi tienda", "valueType": "Mi tienda", "required": true, "options": [ "Mi tienda" ], "value": "Mi tienda", "source": "Tienda online", "state": "ok", "target": "attribute", "allowCustomValue": false } ], "productAttributes": [ { "key": "color", "name": "Polo de algodón", "value": "Polo de algodón" } ], "categoryRequired": true}